summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJörg Thalheim <joerg@thalheim.io>2021-12-07 17:05:01 +0100
committerJörg Thalheim <joerg@thalheim.io>2021-12-07 17:05:01 +0100
commit44fea0de2fc5ddba8f7466b244dfee5ea8edf45e (patch)
treea4130d9400bbb5f6e8ec49fe87b6ceb9a66ecaf4 /tests
parentd311cf7d086fa1bd2cb7d7bae546e8388c6ffaed (diff)
downloadpatchelf-44fea0de2fc5ddba8f7466b244dfee5ea8edf45e.tar.gz
tests/endianess.sh: fix out-of-tree build
Diffstat (limited to 'tests')
-rwxr-xr-xtests/endianness.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/endianness.sh b/tests/endianness.sh
index 23b4aea..4f84a08 100755
--- a/tests/endianness.sh
+++ b/tests/endianness.sh
@@ -6,7 +6,7 @@ for arch in ppc64 ppc64le; do
rm -rf ${SCRATCH}
mkdir -p ${SCRATCH}
- cp endianness/${arch}/main endianness/${arch}/libtest.so ${SCRATCH}/
+ cp ${srcdir}/endianness/${arch}/main ${srcdir}/endianness/${arch}/libtest.so ${SCRATCH}/
rpath="${PWD}/${SCRATCH}"
@@ -19,6 +19,6 @@ for arch in ppc64 ppc64le; do
# check whether rpath is still present
if ! ${PATCHELF} --print-rpath ${SCRATCH}/main-shrunk | grep -q "$rpath"; then
echo "rpath was removed for ${arch}"
- exit 1
+ exit 1
fi
done